[ARVADOS-DEV] updated: d5316150512d9c0ebcb115be1a3279984202377f
Git user
git at public.arvados.org
Mon Feb 10 19:38:00 UTC 2020
Summary of changes:
jenkins/unpublish.sh | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)
create mode 100755 jenkins/unpublish.sh
via d5316150512d9c0ebcb115be1a3279984202377f (commit)
from e0a70a7f15eb7536f28e41d16083fcb9d04765cb (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit d5316150512d9c0ebcb115be1a3279984202377f
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Mon Feb 10 14:35:56 2020 -0500
Add unpublish script for removing from testing repo
refs #16015
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/jenkins/unpublish.sh b/jenkins/unpublish.sh
new file mode 100755
index 0000000..ce476a2
--- /dev/null
+++ b/jenkins/unpublish.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -x
+
+VERNO=$1
+
+if [[ -z "$VERNO" ]] ;
+ echo "Must provide version number to unpublish"
+ exit 1
+fi
+
+rm -f $(find /var/www/rpm.arvados.org/CentOS/7/testing -name *-${VERNO}*.rpm)
+createrepo /var/www/rpm.arvados.org/CentOS/7/testing/x86_64
+
+for fr in $(ls -d /var/lib/freight/apt/*-testing) ; do
+ rm -f $(find ${fr} -name *-${VERNO}*.deb)
+ freight cache ${fr}
+done
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list